PDF export fails on certains HTML entities

2008-03-21 10:55 - Marc Dequènes

Status: Closed Start date: 2008-03-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

I wanted to use < or > symbols, so i tried using 

&lt;example&gt;

or 

<pre><example></pre>

This is working fine in display, but either solution resulted in having HTML entities remaining in the PDF export.    

(btw, there is no adequate bug category for exporters, so leaving it blank)

Associated revisions

Revision 1348 - 2008-04-13 14:45 - Jean-Philippe Lang

Replace closing html tags with html entity (#910).

History

#1 - 2008-03-21 22:15 - Jean-Philippe Lang

This comment that contains <example> seems to be rendered fine in the pdf, doesn't it ?

#2 - 2008-03-24 11:36 - Marc Dequènes

test: <example>

#3 - 2008-03-24 11:48 - Marc Dequènes

In my 0.6.4 installation, if i just use <example> directy, it is rendered well in the PDF, but is rendered blank in the web page because neither < or > are

tranlated into HTML entities. So i guess this bug is fixed in the SVN version.

Nevertheless, in your working example, only < is translated, which allows proper HTML rendering, but > isn't and should.

#4 - 2008-04-13 13:07 - Marc Dequènes

Yes, it seems to be solved in 0.7 devel. As the release is coming soon, i'll check after upgrade and update or close the ticket appropriately.

#5 - 2008-04-13 13:08 - Marc Dequènes

Arf, My bad, '>' is still not encoded properly, i missed it.

#6 - 2008-04-13 14:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

Fixed in r1348. '>' are now replaced by html entities.
